%define gkplugindir	%{_libdir}/gkrellm2/plugins

Summary: CPU frequency display plugin for GKrellM
Name: gkrellm-freq
Version: 0.1.1
Release: 2%{?dist}
License: GPL
Group: Applications/System
URL: http://www.peakunix.net/gkfreq/
Source: http://www.peakunix.net/downloads/gkfreq-%{version}.tar.gz
Patch: gkfreq-0.1.1-rmasm.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires: gkrellm >= 2.2.0
BuildRequires: gkrellm-devel >= 2.2.0

%description
This plugin for GKrellM, the GNU Krell Monitor, displays the current CPU speed
using the "dynamic" cpufrequency scheme.


%prep
%setup -n gkfreq-%{version}
%patch -p1 -b .noasm


%build
# Trivial manual build, the "build" script does the same without our optflags
%{__cc} %{optflags} -fPIC `pkg-config gtk+-2.0 --cflags` -c gkfreq.c
%{__cc} %{optflags} -fPIC -shared -o gkfreq.so gkfreq.o


%install
%{__rm} -rf %{buildroot}
%{__install} -D -m 0755 gkfreq.so \
    %{buildroot}%{gkplugindir}/gkfreq.so


%clean
%{__rm} -rf %{buildroot}


%files
%defattr(-, root, root, 0755)
%doc CHANGES COPYING README
%{gkplugindir}/gkfreq.so


%changelog
* Fri Jul 15 2005 Matthias Saou <http://freshrpms.net/> 0.1.1-2
- Include patch to remove unused function containing an asm call that made
  build fail on PPC.

* Tue Jul 12 2005 Matthias Saou <http://freshrpms.net/> 0.1.1-1
- Initial RPM release, split out from my old gkrellm-plugins package.

